petsc-3.6.2 2015-10-02
Report Typos and Errors

# VECMPIVIENNACL

VECMPIVIENNACL = "mpiviennacl" - The basic parallel vector, modified to use ViennaCL

### Options Database Keys

-vec_type mpiviennacl -sets the vector type to VECMPIVIENNACL during a call to VecSetFromOptions()

### See Also

VecCreate(), VecSetType(), VecSetFromOptions(), VecCreateMpiWithArray(), VECMPI, VecType, VecCreateMPI(), VecCreateMpi()

Level:beginner
Location:src/vec/vec/impls/mpi/mpiviennacl/mpiviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages